
User Interface - Feature #1523

Feature # 1522 (Closed): Jetty Upgrade

select appropriate version as the upgrade target

09/10/2012 12:34 PM - Greg Shah

Status: Closed Start date: 10/07/2013

Priority: Normal Due date: 10/20/2013

Assignee: Greg Shah % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

History

#1 - 09/24/2012 12:59 PM - Greg Shah

- Assignee set to Stanislav Lomany

The basic idea here is that there are multiple possible new versions that can be chosen.  We generally want a very recent version, but it must not be

buggy.

In particular, we need support for cometd and other more recent AJAX features.  Please review the available versions, look at the pros/cons and

make a recommendation.  Don't go forward with the full changes until I have a chance to review and approve.

#2 - 10/31/2012 02:59 PM - Greg Shah

- Target version set to Milestone 12

#3 - 10/20/2013 12:54 PM - Greg Shah

- Estimated time set to 4.00

- Status changed from New to Closed

- Assignee changed from Stanislav Lomany to Greg Shah

- % Done changed from 0 to 100

Since this task was originally conceived, Jetty development has moved forward considerably, as have Javascript and Java feature sets.  We are no

longer planning on using cometd, but instead we will use websockets for bidirectional communication to javascript clients.

The target version of Jetty that we will use is Jetty 9.1 which was released on October 16th (just 4 days ago).  This version has some nice

improvements in regard to websockets that make it more useful than the current "stable" build which is 9.0.6.v20130930 at the time of this writing.

See http://www.eclipse.org/jetty/ for more details.

#4 - 10/20/2013 01:08 PM - Greg Shah

- Start date changed from 09/10/2012 to 10/07/2013

- Due date set to 10/20/2013
#5 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Powered by TCPDF (www.tcpdf.org)

05/05/2024 2/2

http://www.tcpdf.org

